%define name	mod_ngobjweb
%define version 20030716
%define release 2mdk

Summary: Apache module for forwarding HTTP requests to SOPE
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:   System/Servers
URL: http://www.opengroupware.org/
Source0: opengroupware.org-%{name}-%{version}.tar.bz2
Source1: ngobjweb.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: apache-devel
# Stupid software insists on finding /usr/sbin/httpd....
BuildRequires: apache

%description
This is an Apache module for forwarding HTTP requests to SOPE application
server instances. It has the ability to ask the snsd load balancer to 
distribute requests between processes and/or hosts.

%prep
%setup -q -n opengroupware.org-%{name}

%build 

make apxs=/usr/sbin/apxs

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/ogo.conf.dist
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
cp ngobjweb_*.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_ngobjweb.so

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYRIGHT
%config(noreplace) %{_sysconfdir}/httpd/conf.d/ogo.conf.dist
%{_libdir}/httpd/modules/mod_ngobjweb.so

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 20030716-2mdk
- rebuild with apache 1.3.28

* Tue Sep 9 2003 Austin Acton <aacton@yorku.ca> 20030716-1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

